# Poco

# class EOFToken

Library: Foundation
Package: Streams
Header: Poco/Token.h

## Description

This token class is used to signal the end of the input stream.

## Inheritance

Direct Base Classes: Token

All Base Classes: Token

## Member Summary

Member Functions: tokenClass

Inherited Functions: asChar, asFloat, asInteger, asInteger64, asString, asUnsignedInteger, asUnsignedInteger64, finish, is, start, tokenClass, tokenString

## Constructors

### EOFToken

EOFToken();

## Destructor

### ~EOFToken

~EOFToken();

## Member Functions

### tokenClass

Class tokenClass() const;

See also: Poco::Token::tokenClass()